Summary:	MATE Settings Daemon
Name:		mate-settings-daemon
Version:	1.16.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
Source1:	org.mate.settingsdaemon.datetimemechanism.policy
#-------------------------------------------------------
BuildRequires: intltool
BuildRequires: ldetect-lst
BuildRequires: mate-common
BuildRequires: mate-desktop-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}dbus-glib-1_2-devel
BuildRequires: %{_lib}dconf-devel
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}matekbd-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}nspr-devel
BuildRequires: %{_lib}nss-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}polkit1-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xi-devel
BuildRequires: %{_lib}xklavier-devel
BuildRequires: %{_lib}xml2-devel
#-------------------------------------------------------

%description
MATE settings daemon manages the configuration of the desktop in the
background.

%package devel
Summary:	Include files for the MATE settings daemon
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%release

%description devel
Include files for the MATE settings daemon

%prep
%setup -q 
%apply_patches

%build
#NOCONFIGURE=yes ./autogen.sh
%configure2_5x \
	--disable-static \
	--enable-polkit \
	--enable-profiling \
	--enable-gstreamer \
	--disable-pulse \
    --with-gtk=3.0 \
	--libexecdir=%{_libexecdir}/mate-settings-daemon

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Allow user to change time
install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy

find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name} --with-gnome --all-name

%pre
if [ -d %{_libexecdir}/%{name} ]
  then rm -rf %{_libexecdir}/%{name} 
fi

%post
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%postun
/usr/bin/glib-compile-schemas /usr/share/glib-2.0/schemas

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%config %{_sysconfdir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%config %{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%{_libdir}/mate-settings-daemon
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/icons/mate/*/*/*
%{_datadir}/mate-settings-daemon
%{_datadir}/glib-2.0/schemas/org.mate.*.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/man/man1/mate-settings-daemon.1.bz2
%{_sysconfdir}/xrdb/*
%{_mandir}
%{_datadir}/icons/hicolor

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/mate-settings-daemon.pc
%dir %{_includedir}/mate-settings-daemon
%{_includedir}/mate-settings-daemon/*

%clean
rm -rf %{buildroot}


%changelog
* Sun Dec 11 2016 adrianomorselli <adrianomorselli> 1.16.0-1uplos2016
- rebuild

* Wed Sep 21 2016 bb <bb> 1.16.0-1pclos2016
- update

* Mon Aug 15 2016 bb <bb> 1.14.1-1pclos2016
- update


